libao documentation | libao version 1.2.2 - 20161114

# ao_plugin_play

declared in "ao/plugin.h";

Write samples to the device. Channels are interleaved, and samples have the byte order requested by the plugin (`device->driver_byte_format`).

    int ao_plugin_play(ao_device *device, void *output_samples, uint_32 num_bytes);

### Parameters

device
  Pointer to pre-allocated device structure. The plugin should set its desired byte format in `device->driver_byte_format`.
output_samples
  Pointer to audio sample buffer.
num_bytes
  Number of bytes in buffer.

### Return Values

> - 1 indicates success.
> - 0 indicates failure to send the samples to the device. ao_plugin_close() should be called.

copyright © 2001-2003 Stan Seibert, 2010-2016 Monty | xiph.org monty@xiph.org
libao documentation | libao version 1.2.2 - 20161114